package org.example;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;
import java.util.List;
import java.util.Map;


@Getter
@Setter
@NoArgsConstructor
final class GameInfoResponse
{

    private Map<String, String> data;
    private List<Map<String, String>> apps;
    private Map<String, Float> price;
    private Map<String, String> platforms;
    private Map<String, String> controller;
    private Map<String, ReleaseDate> date;

    @Getter
    @Setter
    @NoArgsConstructor
    private static final class ReleaseDate
    {
        private boolean coming_soon;
        private Date date;
    }
}


